<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div styleClass="gzl-alert gzl-alert-blue row">
        <s:div styleClass="col-md-10"
               rendered="#{sutPreferencesProvider.hasPreferredAssigningAuthorities(selectedSUT)}">
            <h:outputText value="#{messages['gazelle.PAMSimulator.ThisSUTIsConfiguredToReceivedASubsetOfPatientsId']}"/>
            <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                <ui:param name="id" value="aaList"/>
                <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                <ui:param name="trigger" value="#{messages['gazelle.PAMSimulator.Click']}"/>
                <ui:define name="content">
                    <h:outputText value="#{messages['gazelle.PAMSimulator.PatientsIdentifiersForTheFollowingDomainsWillBeI']} "/>
                    <rich:list value="#{sutPreferencesProvider.getAssigningAuthoritiesForSystem(selectedSUT)}"
                               var="aa">
                        <h:outputText value="#{aa.displayWithAmp()}"/>
                    </rich:list>
                </ui:define>
            </ui:decorate>
        </s:div>
        <s:div styleClass="col-md-10"
               rendered="#{not sutPreferencesProvider.hasPreferredAssigningAuthorities(selectedSUT)}">
            <h:outputText value="#{messages['gazelle.PAMSimulator.SUTWillReceiveAllAvailablePatientsIdentifiers']}"/>
        </s:div>
        <div class="col-md-2">
            <a4j:commandLink action="#{sutPreferencesProvider.getEditionLink(selectedSUT)}"
                    title="#{messages['gazelle.PAMSimulator.EditThisList']}">
                <s:span styleClass="gzl-icon-pencil"/>
            </a4j:commandLink>
        </div>
    </s:div>
</ui:composition>